### Property

# Camel MessageInfo:user-headers

since: 3.42

#### Declaration

    property user-headers: Camel.NameValueArray [ read, write ]

#### Description [src]

User-defined headers of the associated message. Can be `NULL`.

Type:`CamelNameValueArray`

Available since: 3.42

Getter method | `camel_message_info_get_user_headers()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no